Bladeren bron

🐛 Fix Longer3D build environment (#22378)

Tanguy Pruvot 2 jaren geleden
bovenliggende
commit
cb461b5daf
No account linked to committer's email address
2 gewijzigde bestanden met toevoegingen van 28 en 2 verwijderingen
  1. 23
    0
      buildroot/tests/STM32F103VE_longer_maple
  2. 5
    2
      ini/stm32f1.ini

+ 23
- 0
buildroot/tests/STM32F103VE_longer_maple Bestand weergeven

@@ -0,0 +1,23 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for STM32F103VET6 (using maple STM32F1 framework)
4
+#
5
+
6
+# exit on first failure
7
+set -e
8
+
9
+use_example_configs Alfawise/U20
10
+opt_enable BAUD_RATE_GCODE
11
+exec_test $1 $2 "maple CLASSIC_UI U20 config" "$3"
12
+
13
+use_example_configs Alfawise/U20
14
+opt_enable BAUD_RATE_GCODE TFT_COLOR_UI
15
+opt_disable TFT_CLASSIC_UI CUSTOM_STATUS_SCREEN_IMAGE
16
+exec_test $1 $2 "maple COLOR_UI U20 config" "$3"
17
+
18
+use_example_configs Alfawise/U20-bltouch
19
+opt_enable BAUD_RATE_GCODE
20
+exec_test $1 $2 "maple BLTouch U20 config"
21
+
22
+# cleanup
23
+restore_configs

+ 5
- 2
ini/stm32f1.ini Bestand weergeven

@@ -369,10 +369,13 @@ extends             = common_stm32
369 369
 board               = genericSTM32F103VE
370 370
 board_build.core    = stm32
371 371
 board_build.variant = MARLIN_F103Vx
372
-board_build.offset  = 0x1000
372
+board_build.offset  = 0x10000
373 373
 board_build.address = 0x08010000
374 374
 build_flags         = ${common_stm32.build_flags} -DMCU_STM32F103VE -DU20 -DTS_V12
375
-build_unflags       = ${common_stm32.build_unflags} -DUSBCON -DUSBD_USE_CDC
375
+  -DLED_BUILTIN=PC2 -UPIN_WIRE_SDA -UPIN_WIRE_SCL -DPIN_WIRE_SDA=PB11 -DPIN_WIRE_SCL=PB10
376
+  -DHAL_DAC_MODULE_DISABLED -DHAL_I2S_MODULE_DISABLED
377
+build_unflags       = ${common_stm32.build_unflags}
378
+  -DUSBCON -DUSBD_USE_CDC -DHAL_PCD_MODULE_ENABLED
376 379
 extra_scripts       = ${stm32f1_variant.extra_scripts}
377 380
   buildroot/share/PlatformIO/scripts/STM32F103VE_longer.py
378 381
 

Laden…
Annuleren
Opslaan